package cz.upol.pja.lecture08.beans;

import cz.upol.pja.lecture08.NewUserMessage;
import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;


/**
 * EJB odebirajici zpravy k tematu jms/newUserTopic
 */
@MessageDriven(mappedName = "java:app/jms/newUserTopic")
public class FirstConsumerBean implements MessageListener {
    
    @Override
    public void onMessage(Message message) {
        try {
            NewUserMessage data = message.getBody(NewUserMessage.class);
            System.out.println("#1: first name => " + data.getFirstName() + "\n"
                + "#1: second name => " + data.getSecondName());
        } catch (JMSException e) {
            e.printStackTrace();
        }
    }
    
}
