
package cz.upol.pja.lecture08.beans;

import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;


/**
 * EJB ctouci zpravy z fronty jms/myTextQueue
 */
@MessageDriven(mappedName = "jms/Lecture08Queue") // konfigurace v AS 
//@MessageDriven(mappedName = "java:app/jms/myTextQueue") // konfigurace aplikace
public class ReadQueueBean implements MessageListener {

    @Override
    public void onMessage(Message message) {
        try {
            System.out.println("Received: " + message.getBody(String.class));
        } catch (JMSException e) {
            e.printStackTrace();
        }
    }
    
}
